FROM ubuntu:latest

RUN apt update && apt install -y software-properties-common curl
RUN add-apt-repository -y ppa:longsleep/golang-backports && apt update && apt install -y golang-go
RUN apt install -y python3.7 python3.7-dev python3-pip git 9base
RUN sed 's/python3/python3.7/' /usr/bin/pip3 > pip3 && mv pip3 /usr/bin/pip3
RUN chmod 755 /usr/bin/pip3

RUN pip3 install pybindgen
RUN go get golang.org/x/tools/cmd/goimports
RUN go get github.com/go-python/gopy

RUN ln -s /usr/bin/python3.7 /usr/bin/python
RUN ln -s /usr/bin/python3.7-config /usr/bin/python-config

ENV PATH="/root/go/bin:${PATH}:/usr/lib/plan9/bin"
